Skip to main content
GET
What a vendor charges — hourly, callout, travel, minimum hours and parts markup.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
vendor_id
string
code
string
name
string
rate_type
string
category_name
string
hourly_rate
string
hourly_rate_currency_id
string
callout_fee
string
travel_rate_per_km
string
minimum_hours
string
parts_markup_percent
string
effective_from
string
effective_to
string
is_current
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

callout_fee
number<numeric>
category_name
string<character varying>
Maximum string length: 200
code
string<character varying>
Maximum string length: 60
effective_from
string<date>
effective_to
string<date>
hourly_rate
number<numeric>
hourly_rate_currency_id
string<uuid>
id
string<uuid>

Note: This is a Primary Key.

is_current
boolean<boolean>
minimum_hours
number<numeric>
name
string<character varying>
Maximum string length: 200
parts_markup_percent
number<numeric>
rate_type
string<character varying>
Maximum string length: 30
travel_rate_per_km
number<numeric>
vendor_id
string<uuid>

Note: This is a Foreign Key to vendor_directory.vendor_id.